package com.philisense.www.service.impl;


import com.philisense.www.dao.ProSystemAuthDAO;
import com.philisense.www.service.ProSystemAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProSystemAuthServiceImpl implements ProSystemAuthService {

@Autowired
private ProSystemAuthDAO proSystemAuthDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proSystemAuthDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proSystemAuthDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proSystemAuthDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proSystemAuthDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proSystemAuthDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proSystemAuthDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proSystemAuthDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proSystemAuthDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proSystemAuthDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proSystemAuthDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proSystemAuthDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proSystemAuthDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proSystemAuthDAO.updateBatch(list);
}

    @Override
    public List<Map<String, Object>> getPageProSystemByAuthId(Map<String, Object> map) {
        return proSystemAuthDAO.getPageProSystemByAuthId(map);
    }

    @Override
    public int getCountProSystemByAuthId(Map<String, Object> map) {
        return proSystemAuthDAO.getCountProSystemByAuthId(map);
    }


}